Page MenuHomePhabricator

Creating a Hackathon Handbook
Closed, ResolvedPublic

Tokens
"Love" token, awarded by Lea_Lacroix_WMDE."Love" token, awarded by srishakatux."Love" token, awarded by Aklapper."Like" token, awarded by Elitre."Yellow Medal" token, awarded by Qgil.
Assigned To
Authored By
Rfarrand, Jun 20 2017

Description

Project: Creating a Hackathon Handbook

Contractor: Sonja Fischbauer
Point of contact at WMF: Rachel Farrand

Duration: 3 weeks (June 12 - June 30)
Statement of Work:

⁃ During the Term, Service Provider’s primary services and deliverable under this Statement of Work will be to create a guide for organizers of Wikimedia hackathons and other technical events.
⁃ In particular, Service Provider will be responsible for:
⁃ Identifying and cataloguing all the existing documentation spread in wikis and other documents that may be of interest for Wikimedia Hackathon organizers, as well as organizers of smaller technical events.
⁃ Capturing in writing the lessons learned and programs that worked well from the Wikimedia Hackathon 2017 event held in Vienna, Austria.
⁃ Updating, integrating, and synthesizing all the information above into a comprehensive written structure to be used as a guide for future organizers of Wikimedia Hackathons and other technical events.
⁃ Placing special emphasis on the use of concise language and plain English, in order to make the documentation readable, useful, and translatable.
⁃ Paying special attention to generic documentation relevant to all event organizers, including non-technical events, and special sections specific to WMF’s larger, global hackathons. A good structure with these different levels will allow this documentation to be widely used by the Wikimedia Movement. >> during all weeks, but especially important during creating the structure
⁃ Delivering the catalogue of existing documentation, the captured lessons learned and programs that worked well, and the comprehensive guide to WMF by June 30, 2017

Timeline:

Week 1:
• Identifying and cataloguing all the existing documentation spread in wikis and other documents that may be of interest for Wikimedia Hackathon organizers, as well as organizers of
smaller technical events. collected here: https://www.mediawiki.org/wiki/User:Sonkiki/Handbook
• creating draft for a a comprehensive written structure (paying special attention to generic documentation relevant to all kinds of events)
• kick-off meeting between Sonja + Rachel on first day of project (Mon 12 June)
• second meeting with Rachel 4 days in, to check whether we're still on track (The 15 June)
• collecting feedback from TC team regarding formatting

Week 2:
• updating the structure as needed
• writing lessons learned and programs that worked well from the Wikimedia Hackathon 2017 in Vienna. work in cooperation with @Claudia Garad + WMAT team
• put emphasis on diversity measures and mentoring program / newcomer engagement
• meeting with Rachel (Tue 20 June)

Week 3:
• Fleshing out the structure: Updating, integrating, and synthesizing all the information above into the comprehensive written structure (again, special attention to generic documentation relevant to all kinds of events)
• adding reader-friendly formatting for better usability (tables, fotos, etc.)
• meeting with Rachel (Wed 28 June)
• Mid-week: send out for final review
• integrate final review

Event Timeline

Rfarrand created this task.Jun 20 2017, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2017, 6:59 PM
Qgil closed this task as Resolved.Jul 3 2017, 5:40 AM

This project was completed on time by @sonkiki! Our documentation for Hackathon organizers has been completely revamped and the end result is fantastic (details). Thank you very much, Sonja!

https://www.mediawiki.org/wiki/Hackathons/Handbook

Actually https://www.mediawiki.org/wiki/Hackathons was revamped as well and is the natural landing page.

Elitre awarded a token.Jul 3 2017, 6:31 AM
Elitre added a subscriber: Elitre.
Elitre removed a subscriber: Elitre.

Thank you very much! I enjoyed working on this so much, it's hard for me to stop.

Allow me to drop a few lines to wrap this project up.
This can be used by @Rfarrand next week, to spread the word of this project on mailing lists etc.!

It's been a pleasure to work with you! *bows*


Re: New hackathon documentation, incl. handbook for organizers, timeline and templates.

Our hackathons are big events with hundreds of participants, and more than a year's work for the local organizers. While every event has its own special twist, a solid documentation significantly reduces overhead, and prevents the wheel from being re-invented every year. That's why we improved the documentation for hackathons on mediawiki! (So we can have more time to invent those jet-packs.)

Hackathons is now a clear and structured landing page, that serves all user groups and points them to what they need:

Future participants learn what to expect from a hackathon.

Current participants can get involved and shape the events by adding suggestions.

Future organizers learn how the process works and to consider before starting.

Current organizers get a comprehensive documentation:

  • A Timeline gives an overview of all major planning tasks and their deadlines.
  • The Handbook features 19 chapters with detailed information that organizers need to consider: Team roles, venue requirements, sponsoring strategies, promotion and press, diversity measures, volunteer roles, packing lists, etc. We included many examples for best-practices from previous years and templates for registration forms, emails and more.
  • The table of previous hackathons catalogues all pages, lessons learned and outcomes of hackathon events in one place.

We hope that you use the documentation for planning not only big Wikimedia Hackathons, but also smaller technical and non-technical events.
but that it will be built upon, edited, improved and used a lot!

This project was completed in the course of three weeks in June 2017 with contractor User:Sonkiki. Read more in the associated Phabricator-Task or on User:Sonkiki/Handbook_Project.